npm command-line interface

# npm-test

Test a package

## Table of contents

- Synopsis
- Description
- Example
- See Also

### Synopsis

    npm test [-- <args>]

    aliases: t, tst

### Description

This runs a predefined command specified in the `"test"` property of a package’s `"scripts"` object.

### Example

    {
      "scripts": {
        "test": "node test.js"
      }
    }

    npm test
    > npm@x.x.x test
    > node test.js

    (test.js output would be here)

### See Also

- npm run-script
- npm scripts
- npm start
- npm restart
- npm stop